Skip to main content
GET
/
zone
Retrieve a single zone
curl --request GET \
  --url https://api.nuwebgroup.com/v1/zone \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": 1,
    "name": "Entry",
    "accessPermission": [
      "Ticket A",
      "Ticket B",
      "Product A"
    ],
    "attendance": 10,
    "uniqueScansIn": 12,
    "totalScansIn": 15,
    "totalScansOut": 2,
    "averageSecondsSpent": null,
    "capacity": 200,
    "openingDate": "2021-11-22T11:59:00.000000Z",
    "closingDate": "2021-11-22T11:59:00.000000Z",
    "maxAge": null,
    "minAge": null,
    "scan": "in&out",
    "hideAttendees": false,
    "hasMandatoryDataCapture": false,
    "hasOptionalDataCapture": false,
    "hasNoDataCapture": false,
    "dataCaptureFields": [
      {
        "id": 91,
        "name": "Standard Day Ticket",
        "type": "ticket",
        "attendance": 54,
        "uniqueScansIn": 42,
        "totalScansIn": 67,
        "totalScansOut": 13,
        "averageSecondsSpent": 140
      }
    ],
    "createdAt": "2021-11-22T11:59:00.000000Z",
    "updatedAt": "2021-11-22T11:59:00.000000Z",
    "deletedAt": null
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.nuwebgroup.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The 'Bearer' token can be obtained from the token management interface or via the login endpoint using your admin user credentials.

Headers

X-NU-COMPANY-ID
integer

The ID of the company this operation should be performed against.

Accept-Language
string

Sets the preferred language for localised response content (e.g. en, fr, de). If the requested language is not supported by the company, the company fallback language will be assumed.

Query Parameters

zoneId
integer
required

The ID of the zone to retrieve data for.

withTrashed
enum<string>

Controls records returned depending on their deletedAt status. This is a global flag, so will apply to all resources, including relationships such as resources returned under the included attribute.

  • true to include deleted records
  • false to exclude deleted records (or leave blank)

Available options:
true,
false

Response

Successful request to fetch live zone data for a single zone.

id
integer
name
string
accessPermission
object[]
attendance
integer
uniqueScansIn
integer
totalScansIn
integer
totalScansOut
integer
averageSecondsSpent
integer
capacity
integer
openingDate
string
closingDate
string
maxAge
integer
minAge
integer
scan
string

'in', 'in&out', 'auto'

hideAttendees
boolean
hasMandatoryDataCapture
boolean
hasOptionalDataCapture
boolean
hasNoDataCapture
boolean
dataCaptureFields
object[]
items
object[]
Example:
[
{
"id": 1,
"name": "Entry",
"accessPermission": ["Ticket A", "Ticket B", "Product A"],
"attendance": 10,
"uniqueScansIn": 12,
"totalScansIn": 15,
"totalScansOut": 2,
"averageSecondsSpent": null,
"capacity": 200,
"openingDate": "2021-11-22T11:59:00.000000Z",
"closingDate": "2021-11-22T11:59:00.000000Z",
"maxAge": null,
"minAge": null,
"scan": "in&out",
"hideAttendees": false,
"hasMandatoryDataCapture": false,
"hasOptionalDataCapture": false,
"hasNoDataCapture": false,
"dataCaptureFields": [
{
"id": 91,
"name": "Standard Day Ticket",
"type": "ticket",
"attendance": 54,
"uniqueScansIn": 42,
"totalScansIn": 67,
"totalScansOut": 13,
"averageSecondsSpent": 140
}
],
"createdAt": "2021-11-22T11:59:00.000000Z",
"updatedAt": "2021-11-22T11:59:00.000000Z",
"deletedAt": null
}
]